/*
 * calccore/scc/factory.h
 * 
 * Simple calc core interface factory. 
 * This is part of the AniVision project. 
 * 
 * Copyright (c) 2003 by Wolfgang Wieser (wwieser@gmx.de) 
 * 
 * This file may be distributed and/or modified under the terms of the 
 * GNU General Public License version 2 as published by the Free Software 
 * Foundation. 
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * 
 */

#include "ccif_simple.h"

namespace CC
{

CCIF_Setting *CCIF_Factory_Simple::CreateCCIF_Setting()
{
	S::CCSetting *ccs=new S::CCSetting();
	return(ccs);
}


CCIF_Object *CCIF_Factory_Simple::CreateCCIF_Object(CCIF_Setting *setting,
	int vflags)
{
	S::CCObject *cco=new S::CCObject((S::CCSetting*)setting,vflags);
	return(cco);
}


CCIF_Value *CCIF_Factory_Simple::CreateCCIF_Value(CCIF_Setting *setting,
	int dimension)
{
	S::CCValue *ccv=new S::CCValue((S::CCSetting*)setting,dimension);
	return(ccv);
}


CCIF_Factory_Simple::CCIF_Factory_Simple() : 
	CCIF_Factory("simple")
{
}

CCIF_Factory_Simple::~CCIF_Factory_Simple()
{
}

}
